import { AnimatedPageType } from './default/animation-page';
import { ButtonType } from './default/button';
import { ChoiceButtonType } from './default/choice-button';
import { ColoredPageType } from './default/colored-page';
import { FontsType } from './default/fonts';
import { GlobalStylesType } from './default/global-styles';
import { HeaderType } from './default/header';
import { MultiChoiceButtonType } from './default/multichoice-button';
import { NextButtonType } from './default/next-button';
import { ProgressBarType } from './default/progress-bar';
import { RatingScaleType } from './default/rating-scale';
import { TabsType } from './default/tabs';
import { VerticalCardType } from './default/vertical-card';
export declare type Palette = Record<string, string>;
export declare type ThemeProps = {
    globalStyles: GlobalStylesType;
    button: ButtonType;
    nextButton: NextButtonType;
    choiceButton: ChoiceButtonType;
    multiChoiceButton: MultiChoiceButtonType;
    header: HeaderType;
    progressBar: ProgressBarType;
    verticalCard: VerticalCardType;
    coloredPage: ColoredPageType;
    tabs: TabsType;
    ratingScale: RatingScaleType;
    animatedPage: AnimatedPageType;
    fonts: FontsType;
};
export declare type Theme = {
    theme: ThemeProps;
    overwrite?: Partial<ThemeProps>;
};
export declare const defaultTheme: ThemeProps;
export declare const theming: import("theming").Theming<ThemeProps>;
