import * as CSS from 'csstype'

export type TabsType = {
  tabsWrapper: CSS.Properties
  tabButton: CSS.Properties
  tabButtonActive: CSS.Properties
}

export const TabsStyles: TabsType = {
  tabsWrapper: {
    maxWidth: '560px',
    background: '#E0E3EB',
    height: '36px',
    padding: '2px',
    borderRadius: '8px',
    margin: '32px auto',
    display: 'flex',
  },
  tabButton: {
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    background: '#E0E3EB',
    border: 'none',
    cursor: 'pointer',
    height: '100%',
    padding: 0,
    minWidth: 'auto',
    borderRadius: '8px',
  },
  tabButtonActive: {
    background: '#4B46EC',
  },
}
